#pragma once

const float my_pi = 3.1415926535897932384626433832795f;
const float deg2rad = my_pi/180.0f;

typedef float t3DVector[3];

void t3DVector_Copy(t3DVector src, t3DVector &dst);
void t3DVector_Add(t3DVector a, t3DVector b, t3DVector &dst);
void t3DVector_Sub(t3DVector a, t3DVector b, t3DVector &dst);
void t3DVector_Cross(t3DVector a, t3DVector b, t3DVector &dst);
void t3DVector_Normalize(t3DVector &v);
void t3DVector_GetNormal(t3DVector a, t3DVector b, t3DVector c, t3DVector &dst);